Subject: Re: [PATCH ] powerpc: Add tsi108/9 and non standard mpic support

From: Zang Roy-r61911 <[email-masked]>
Date: 24 Aug 2006 19:04:08 +0800

On Thu, 2006-08-24 at 18:54, Benjamin Herrenschmidt wrote:
> > > The table should still contain the entries for a normal MPIC. One
> can
> > > build a kernel that will boot both machines with the "weird" one
> and
> > > with the normal one. Thus CONFIG_MPIC_WEIRD shall not exclude
> normal
> > > MPICs, though not having it does exclude weird ones. I thus would
> > > suggest to keep the table as it was in your earlier patches, that
> is
> > > with the normal MPIC mapping at 0.
> > > 
> > > I intend to re-use that to handle another weird MPIC from some
> other
> > > project :)
> > 
> > That is also my target. I hope the imported mpic_info table can
> support
> > more non-standard mpic structure.
> > The following patch adds the standard MPIC entry to the table. 
> > I post it here.
> 
> Looks good. I still need to test it, hopefully tomorrow, then it can
> go
> in though I'm not sure it can get into 2.6.18, we'll see.
> 

I have tested on mpc8641hpcn board with CONFIG_MPIC.
Hope to see it in 2.6.18.
Roy